//
//  GVAppDelegate.m
//  GVNinePartBackgroundView
//
//  Created by Vlad Gorloff on 23.07.12.
//  Copyright (c) 2012 Vlad Gorloff. All rights reserved.
//

#import "GVAppDelegate.h"

@interface GVAppDelegate()
{
    NSString*   testImageName;
    NSString*   mainImageName;
}
-(void)setTestImage;
@end

@implementation GVAppDelegate

@synthesize window;
@synthesize view;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    testImageName   = [[NSBundle mainBundle] pathForResource:@"TestBackground" ofType:@"png"];
    mainImageName   = [[NSBundle mainBundle] pathForResource:@"MainBackground" ofType:@"png"];
    [self setTestImage];
    self.view.drawingMethod = 1;
    self.view.needsDisplay = true;
}

- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)sender
{
    return true;
}

- (IBAction)drawingMethod:(NSMatrix *)sender
{
    self.view.drawingMethod = sender.selectedTag;
    self.view.needsDisplay = true;
}

- (IBAction)backgroundType:(NSMatrix *)sender
{
    if (sender.selectedTag == 1)
    {
        [self setTestImage];
    }
    else
    {
        self.view.allOffsets = 30;
        [self.view setBackgroundImage:mainImageName];
    }
    self.view.needsDisplay = true;
}

-(void)setTestImage
{
    self.view.leftOffset = 38;
    self.view.topOffset  = 16;
    self.view.rightOffset = 87;
    self.view.bottomOffset = 8;
    [self.view setBackgroundImage:testImageName];
}

@end
